package com.ximai.mes.report.service;

import com.ximai.mes.report.request.MonthlyProductionReportRequest;

import java.util.List;

public interface MonthlyProductionReportService {
    List getListByProcess(MonthlyProductionReportRequest monthlyProductionReportRequest);

    List getListByWorkshop(MonthlyProductionReportRequest dailyProductionReportRequest);

    List getListByWorkstation(MonthlyProductionReportRequest dailyProductionReportRequest);

    List getListByWorkunit(MonthlyProductionReportRequest dailyProductionReportRequest);

    List getListByUser(MonthlyProductionReportRequest dailyProductionReportRequest);
}
